On 3/31/06, McDougald, James D. (Contr) wrote:
>
>
> >> You should remove your symlink and install the openldap subsystem

> from the CD 3. You will need at least openldap.sw.lib32 and
> openldap.sw.hdr.
>
> Thanks, that fixed it.
> The SGI is running 3.0.21c with ADS
> now if I only had permissions to: net ads join
>
> grin
>
> I am trying to compile now on a SUN_SPARC_5.10 box and I am getting
> similar errors this OpenLDAP is being difficult.
>
> ./configure --with-acl-support --with-quotas --with-included-popt
> --localstatedir=3D/var/lib/samba --with-piddir=3D/var/run
> --with-logfilebase=3D/var/log/samba -with-privatedir=3D/usr/local/etc/sa=

mba
> --with-configdir=3D/usr/local/etc/samba --with-ldap=3Dyes --with-ads=3Dye=

s
>
> checking for LDAP support... yes
> checking ldap.h usability... yes
> checking ldap.h presence... yes
> checking for ldap.h... yes
> checking lber.h usability... yes
> checking lber.h presence... yes
> checking for lber.h... yes
> checking for ber_scanf in -llber... no
> checking for ldap_init in -lldap... yes
> checking for ldap_set_rebind_proc... yes
> checking whether ldap_set_rebind_proc takes 3 arguments... 3
> checking whether LDAP support is used... yes
> checking for Active Directory and krb5 support... yes
> checking for ldap_initialize... no
> configure: error: Active Directory Support requires ldap_initialize
>
>
> Any thoughts on this one?


Sorry, no. I have a vague idea that there have been others having fun
with the Solaris LDAP libraries. There might be something useful in
the list archves.


--
James Peach | jorgar@gmail.com
--
To unsubscribe from this list go to the following URL and read the
instructions: https://lists.samba.org/mailman/listinfo/samba